Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface RepositoryOperations

All Superinterfaces:
  ContainerOperations, IRObjectOperations

All Known Subinterfaces:
  Repository

All Known Implementing Classes:
  RepositoryPOA

public interface RepositoryOperations
extends ContainerOperations

Repository is an interface that provides global access to the Interface Repository. The Repository object can contain constants, typedefs, exceptions, interfaces, value types, value boxes, native types and modules.

Method Summary
`ArrayDef` | `create_array(int bound, IDLType element_type)` The create_array operation returns a new ArrayDef with the specified length and element_type.
`FixedDef` | `create_fixed(short digits, short scale)` The create_fixed operation returns a new FixedDef with the specified number of digits and scale.
`SequenceDef` | `create_sequence(int bound, IDLType element_type)` The create_sequence operation returns a new SequenceDef with the specified bound and element_type.
`StringDef` | `create_string(int bound)` The create_string operation returns a new StringDef with the specified bound, which must be non-zero.
`WstringDef` | `create_wstring(int bound)` The create_wstring operation returns a new WstringDef with the specified bound, which must be non-zero.
`TypeCode` | `get_canonical_typecode(TypeCode tc)` The get_canonical_typecode operation looks up the TypeCode in the Interface Repository and returns an equivalent TypeCode that includes all repository ids, names, and member_names.
`PrimitiveDef` | `get_primitive(PrimitiveKind kind)` The get_primitive operation returns a PrimitiveDef reference that describes a primitive type.
`Contained` | `lookup_id(java.lang.String search_id)` The lookup_id operation is used to lookup an object in a Repository given its RepositoryId.

Methods inherited from interface org.omg.CORBA.ContainerOperations
`contents, create_abstract_interface, create_alias, create_constant, create_enum, create_exception, create_interface, create_local_interface, create_module, create_native, create_struct, create_union, create_value_box, create_value, describe_contents, lookup_name, lookup`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### lookup_id

    public Contained lookup_id(java.lang.String search_id)

  The lookup_id operation is used to lookup an object in a Repository given its RepositoryId. If the Repository does not contain a definition for search_id, a nil object reference is returned.

### get_canonical_typecode

    public TypeCode get_canonical_typecode(TypeCode tc)

  The get_canonical_typecode operation looks up the TypeCode in the Interface Repository and returns an equivalent TypeCode that includes all repository ids, names, and member_names. If the top level TypeCode does not contain a RepositoryId, such as array and sequence TypeCodes, or TypeCodes from older ORBs, or if it contains a RepositoryId that is not found in the target Repository, then a new TypeCode is constructed by recursively calling get_canonical_typecode on each member TypeCode of the original TypeCode.

### get_primitive

    public PrimitiveDef get_primitive(PrimitiveKind kind)

  The get_primitive operation returns a PrimitiveDef reference that describes a primitive type.

### create_string

    public StringDef create_string(int bound)

  The create_string operation returns a new StringDef with the specified bound, which must be non-zero. The get_primitive operation is used for unbounded strings.

### create_wstring

    public WstringDef create_wstring(int bound)

  The create_wstring operation returns a new WstringDef with the specified bound, which must be non-zero. The get_primitive operation is used for unbounded strings.

### create_sequence

    public SequenceDef create_sequence(int bound,
                                       IDLType element_type)

  The create_sequence operation returns a new SequenceDef with the specified bound and element_type.

### create_array

    public ArrayDef create_array(int bound,
                                 IDLType element_type)

  The create_array operation returns a new ArrayDef with the specified length and element_type.

### create_fixed

    public FixedDef create_fixed(short digits,
                                 short scale)

  The create_fixed operation returns a new FixedDef with the specified number of digits and scale. The number of digits must be from 1 to 31, inclusive.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD